%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-spi
Version:          3.1.2
Release:          6%{?dist}
Summary:          JBossWS SPI
# https://issues.jboss.org/browse/JBWS-4002
License:          LGPLv2+
URL:              http://www.jboss.org/jbossws

Source0:          https://github.com/jbossws/jbossws-spi/archive/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.spec.javax.jms:jboss-jms-api_1.1_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildRequires:    mvn(org.jboss.ws:jbossws-api) >= 1.0.1 
BuildRequires:    mvn(org.jboss.ws:jbossws-parent:pom:)

%description
JBoss WS SPI classes.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}
# Disable java8doc doclint, using own javadoc setting
%pom_remove_plugin :maven-javadoc-plugin

%pom_xpath_set pom:properties/pom:jboss-logging-annotations.version 1
%pom_xpath_set pom:properties/pom:jboss-logging-processor.version 1

# java.lang.ExceptionInInitializerError
#Caused by: java.lang.IllegalArgumentException: Invalid logger interface org.jboss.wsf.spi.Loggers (implementation not found in sun.misc.Launcher$AppClassLoader@75b84c92)
#	at org.jboss.logging.Logger$1.run(Logger.java:2556)
#	at java.security.AccessController.doPrivileged(Native Method)
#	at org.jboss.logging.Logger.getMessageLogger(Logger.java:2529)
#	at org.jboss.logging.Logger.getMessageLogger(Logger.java:2516)
#	at org.jboss.wsf.spi.Loggers.<clinit>(Loggers.java:47)
#	... 29 more
rm src/test/java/org/jboss/test/wsf/spi/metadata/config/ConfigMDParserTestCase.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Aug 20 2016 gil cattaneo <puntogil@libero.it> 3.1.2-1
- update to 3.1.2.Final

* Mon Jul 25 2016 gil cattaneo <puntogil@libero.it> 3.1.0-1
- update to 3.1.0.Final

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 gil cattaneo <puntogil@libero.it> 2.3.1-3
- fix FTBFS rhbz#1239611
- use BRs mvn()-like
- resolve some rpmlint problem

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 12 2015 Marek Goldmann <mgoldman@redhat.com> - 2.3.1-1
- Upstream release 2.3.1.Final

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.2.2-2
- Use Requires: java-headless rebuild (#1067528)

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 2.2.2-1
- Upstream release 2.2.2.Final

* Tue Oct 22 2013 Marek Goldmann <mgoldman@redhat.com> - 2.2.1-1
- Upstream release 2.2.1.Final

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-0.2.CR1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Marek Goldmann <mgoldman@redhat.com> - 2.2.0-0.1.CR1
- Upstream release 2.2.0.CR1
- New guidelines

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.1.0-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Nov 21 2012 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-2
- Updated jbossws-api dependency

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 2.1.0-1
- Upstream release 2.1.0.Final
- Spec cleanup

* Tue Oct 02 2012 Marek Goldmann <mgoldman@redhat.com> - 2.0.3-4
- Add jbossws-parent BR
- Use POM macros instead of patch
- Enable tests

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Marek Goldmann <mgoldman@redhat.com> 2.0.3-2
- Make Message.properties available in jar

* Fri May 4 2012 Patryk Obara <pobara@redhat.com> 2.0.3-1
- Initial packaging

